"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const compiler_sfc_1 = require("@vue/compiler-sfc");
const cache = new Map();
async function parseSFC(filename, saveCache = false) {
    const content = await fs_1.promises.readFile(filename, 'utf-8');
    const { descriptor, errors } = compiler_sfc_1.parse(content, {
        filename
    });
    if (errors) {
        // TODO
    }
    const prev = cache.get(filename);
    if (saveCache) {
        cache.set(filename, descriptor);
    }
    return [descriptor, prev];
}
exports.parseSFC = parseSFC;
