"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = __importDefault(require("fs"));
function send(res, source, mime) {
    res.setHeader('Content-Type', mime);
    res.end(source);
}
exports.send = send;
function sendJS(res, source) {
    send(res, source, 'application/javascript');
}
exports.sendJS = sendJS;
function sendJSStream(res, filename) {
    res.setHeader('Content-Type', 'application/javascript');
    const stream = fs_1.default.createReadStream(filename);
    stream.on('open', () => {
        stream.pipe(res);
    });
    stream.on('error', (err) => {
        res.end(err);
    });
}
exports.sendJSStream = sendJSStream;
